Update Seller
curl --request PUT \
--url https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id} \
--header 'Content-Type: application/json' \
--header 'X-account-code: <x-account-code>' \
--header 'private-secret-key: <private-secret-key>' \
--header 'public-api-key: <public-api-key>' \
--data '
{
"name": "<string>",
"email": "<string>",
"phone": {
"country_code": "<string>",
"number": "<string>"
},
"document": {
"type": "<string>",
"number": "<string>"
},
"address": {
"street": "<string>",
"number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>"
},
"country": "<string>",
"industry": "<string>",
"merchant_category_code": "<string>",
"payment_method": [
{
"payment_method_type": "<string>",
"detail": {
"card": {}
}
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id}"
payload = {
"name": "<string>",
"email": "<string>",
"phone": {
"country_code": "<string>",
"number": "<string>"
},
"document": {
"type": "<string>",
"number": "<string>"
},
"address": {
"street": "<string>",
"number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>"
},
"country": "<string>",
"industry": "<string>",
"merchant_category_code": "<string>",
"payment_method": [
{
"payment_method_type": "<string>",
"detail": { "card": {} }
}
]
}
headers = {
"public-api-key": "<public-api-key>",
"private-secret-key": "<private-secret-key>",
"X-account-code": "<x-account-code>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'public-api-key': '<public-api-key>',
'private-secret-key': '<private-secret-key>',
'X-account-code': '<x-account-code>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
email: '<string>',
phone: {country_code: '<string>', number: '<string>'},
document: {type: '<string>', number: '<string>'},
address: {
street: '<string>',
number: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip_code: '<string>'
},
country: '<string>',
industry: '<string>',
merchant_category_code: '<string>',
payment_method: [{payment_method_type: '<string>', detail: {card: {}}}]
})
};
fetch('https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seller_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_seller_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": {
"country_code": "<string>",
"number": "<string>"
},
"document": {
"type": "<string>",
"number": "<string>"
},
"address": {
"street": "<string>",
"number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>"
},
"country": "<string>",
"website": "<string>",
"industry": "<string>",
"merchant_category_code": "<string>",
"payment_method": [
{
"payment_method_type": "<string>",
"detail": {
"card": {
"provider": {
"id": "<string>",
"merchant_id": "<string>"
}
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Update Seller
Fully replace a seller’s details and payment method configurations.
PUT
/
sellers
/
{merchant_seller_id}
Update Seller
Fully replaces the seller details and payment method configurations for a given seller.
ImportantThis is a full replacement operation. All fields you want to keep must be included. Omitted optional fields will be set to
null.Headers
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
2Maximum string length:
4Show child attributes
Show child attributes
Was this page helpful?
⌘I